net.sourceforge.pmd.cpd

## Class SourceCode.FileCodeLoader

- java.lang.Object
- - net.sourceforge.pmd.cpd.SourceCode.CodeLoader
  - - net.sourceforge.pmd.cpd.SourceCode.FileCodeLoader

Enclosing class:
  SourceCode

    public static class SourceCode.FileCodeLoader
    extends SourceCode.CodeLoader

### Constructor Summary

Constructors
Constructor and Description
`SourceCode.FileCodeLoader(File file, String encoding)`

### Method Summary

Methods
`String` `getFileName()`
`Reader` `getReader()`

### Methods inherited from class net.sourceforge.pmd.cpd.SourceCode.CodeLoader

`getCode, load`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceCode.FileCodeLoader

    public SourceCode.FileCodeLoader(File file,
                             String encoding)

### Method Detail

#### getReader

    public Reader getReader()
                     throws Exception

Specified by:
  `getReader` in class `SourceCode.CodeLoader`
Throws:
  `Exception`

#### getFileName

    public String getFileName()

Specified by:
  `getFileName` in class `SourceCode.CodeLoader`